Permalink
Browse files

set source & target to 1.8 and fixate compiler plugin version for ang…

…ular
  • Loading branch information...
1 parent f66cd9d commit c3a8ec0ac68e79e938c3e5da20a88c4bab8e89e0 @ctomc ctomc committed Oct 21, 2016
View
@@ -53,8 +53,8 @@
<version.war.plugin>3.0.0</version.war.plugin>
<!-- maven-compiler-plugin -->
- <maven.compiler.target>1.7</maven.compiler.target>
- <maven.compiler.source>1.7</maven.compiler.source>
+ <maven.compiler.target>1.8</maven.compiler.target>
+ <maven.compiler.source>1.8</maven.compiler.source>
</properties>
<dependencyManagement>
@@ -53,8 +53,8 @@
<version.exec.plugin>1.2.1</version.exec.plugin>
<!-- maven-compiler-plugin -->
- <maven.compiler.target>1.7</maven.compiler.target>
- <maven.compiler.source>1.7</maven.compiler.source>
+ <maven.compiler.target>1.8</maven.compiler.target>
+ <maven.compiler.source>1.8</maven.compiler.source>
</properties>
<dependencyManagement>
@@ -50,8 +50,8 @@
<version.compiler.plugin>3.5.1</version.compiler.plugin>
<!-- Plugin configuration -->
- <maven.compiler.target>1.7</maven.compiler.target>
- <maven.compiler.source>1.7</maven.compiler.source>
+ <maven.compiler.target>1.8</maven.compiler.target>
+ <maven.compiler.source>1.8</maven.compiler.source>
</properties>
<build>
@@ -51,8 +51,8 @@
<war.plugin.version>2.2</war.plugin.version>
<!-- maven-compiler-plugin -->
- <maven.compiler.target>1.7</maven.compiler.target>
- <maven.compiler.source>1.7</maven.compiler.source>
+ <maven.compiler.target>1.8</maven.compiler.target>
+ <maven.compiler.source>1.8</maven.compiler.source>
</properties>
<dependencyManagement>
@@ -53,8 +53,8 @@
<version.compiler.plugin>3.5.1</version.compiler.plugin>
<!-- maven-compiler-plugin -->
- <maven.compiler.target>1.7</maven.compiler.target>
- <maven.compiler.source>1.7</maven.compiler.source>
+ <maven.compiler.target>1.8</maven.compiler.target>
+ <maven.compiler.source>1.8</maven.compiler.source>
</properties>
<dependencyManagement>
@@ -46,8 +46,8 @@
<version.war.plugin>3.0.0</version.war.plugin>
<!-- maven-compiler-plugin -->
- <maven.compiler.target>1.7</maven.compiler.target>
- <maven.compiler.source>1.7</maven.compiler.source>
+ <maven.compiler.target>1.8</maven.compiler.target>
+ <maven.compiler.source>1.8</maven.compiler.source>
<!-- Define the version of the JBoss BOMs we want to import to specify tested stacks. -->
<version.jboss.spec.javaee.7.0>1.0.3.Final</version.jboss.spec.javaee.7.0>
View
@@ -54,8 +54,8 @@
<version.war.plugin>3.0.0</version.war.plugin>
<!-- maven-compiler-plugin -->
- <maven.compiler.target>1.7</maven.compiler.target>
- <maven.compiler.source>1.7</maven.compiler.source>
+ <maven.compiler.target>1.8</maven.compiler.target>
+ <maven.compiler.source>1.8</maven.compiler.source>
</properties>
<dependencyManagement>
@@ -50,8 +50,8 @@
<version.war.plugin>3.0.0</version.war.plugin>
<!-- maven-compiler-plugin -->
- <maven.compiler.target>1.7</maven.compiler.target>
- <maven.compiler.source>1.7</maven.compiler.source>
+ <maven.compiler.target>1.8</maven.compiler.target>
+ <maven.compiler.source>1.8</maven.compiler.source>
</properties>
<dependencyManagement>
@@ -194,6 +194,16 @@
<artifactId>wildfly-maven-plugin</artifactId>
<version>${version.wildfly.maven.plugin}</version>
</plugin>
+ <plugin>
+ <groupId>org.apache.maven.plugins</groupId>
+ <artifactId>maven-compiler-plugin</artifactId>
+ <version>${version.compiler.plugin}</version>
+ <configuration>
+ <encoding>utf-8</encoding>
+ <source>${maven.compiler.source}</source>
+ <target>${maven.compiler.target}</target>
+ </configuration>
+ </plugin>
</plugins>
</build>
@@ -52,8 +52,8 @@
<version.war.plugin>3.0.0</version.war.plugin>
<!-- maven-compiler-plugin -->
- <maven.compiler.target>1.7</maven.compiler.target>
- <maven.compiler.source>1.7</maven.compiler.source>
+ <maven.compiler.target>1.8</maven.compiler.target>
+ <maven.compiler.source>1.8</maven.compiler.source>
</properties>
View
@@ -58,8 +58,8 @@
<version.war.plugin>3.0.0</version.war.plugin>
<!-- maven-compiler-plugin -->
- <maven.compiler.target>1.7</maven.compiler.target>
- <maven.compiler.source>1.7</maven.compiler.source>
+ <maven.compiler.target>1.8</maven.compiler.target>
+ <maven.compiler.source>1.8</maven.compiler.source>
</properties>
<modules>
View
@@ -57,8 +57,8 @@
<version.war.plugin>3.0.0</version.war.plugin>
<!-- maven-compiler-plugin -->
- <maven.compiler.target>1.7</maven.compiler.target>
- <maven.compiler.source>1.7</maven.compiler.source>
+ <maven.compiler.target>1.8</maven.compiler.target>
+ <maven.compiler.source>1.8</maven.compiler.source>
</properties>

0 comments on commit c3a8ec0

Please sign in to comment.